﻿@model IEnumerable<PredictSat.Core.Domain.Predictions.SatPredictionInput>

@{
    ViewBag.Title = "Index";
}

<h2>Index</h2>

<p>
    @Html.ActionLink("New Prediction", "MakePrediction")
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.SchoolName)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.ForYear)
        </th>
        <th>@Html.DisplayNameFor(model => model.PredictionResult.CriticalReadingMean)</th>
        <th>@Html.DisplayNameFor(model => model.PredictionResult.WritingMean)</th>
        <th>@Html.DisplayNameFor(model => model.PredictionResult.MathematicsMean)</th>
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        <td>
            @Html.DisplayFor(modelItem => item.SchoolName)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.ForYear)
        </td>
        <th>@Html.DisplayFor(modelItem => item.PredictionResult.CriticalReadingMean)</th>
        <th>@Html.DisplayFor(modelItem => item.PredictionResult.WritingMean)</th>
        <th>@Html.DisplayFor(modelItem => item.PredictionResult.MathematicsMean)</th>
        <td>
            @Html.ActionLink("Edit", "Edit", new { id=item.Id }) |
            @Html.ActionLink("Details", "Details", new { id=item.Id }) |
            @Html.ActionLink("Delete", "Delete", new { id=item.Id })
        </td>
    </tr>
}

</table>
